Bug 220467 - textproc/kibana5: Fails to start: Assertion `(trigger_id) >= (0)' failed.
Summary: textproc/kibana5: Fails to start: Assertion `(trigger_id) >= (0)' failed.
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Tom Judge
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-07-04 13:29 UTC by Andrey
Modified: 2018-02-03 09:52 UTC (History)
6 users (show)

See Also:
koobs: maintainer-feedback? (tj)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey 2017-07-04 13:29:41 UTC
textproc/kibana5 does not start after installing from ports or packages due to error in node js, which is actually node version 8. 

/usr/local/bin/node  /usr/local/www/kibana5/src/cli serve --config /usr/local/etc/kibana.yml

/usr/local/bin/node[71623]: ../src/env-inl.h:131:void node::Environment::AsyncHooks::push_ids(double, double): Assertion `(trigger_id) >= (0)' failed.
 1: node::Abort(void) [/usr/local/bin/node]
 2: node::Assert(char const* const[4]*) [/usr/local/bin/node]
 3: node::AsyncWrap::PushAsyncIds(v8::FunctionCallbackInfo<node::AsyncWrap::PushAsyncIds::Value> const&) [/usr/local/bin/node]


But, when starting the same kibana4 with www/node6 port it works as expected.

The dependency on www/node version 8 should be changes to depend on www/node6.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-05 07:34:49 UTC
Assign to maintainer (missed with initial summary typo)
Comment 2 Matthias Petermann 2017-07-19 00:42:56 UTC
Would be appreciated if this issue can be fixed by adjusting dependencies to point to node6. The original authors use the same version even for their current branch:

https://github.com/elastic/kibana/blob/master/.node-version

So there should nothing wrong with sticking to node6 for kinbana 5.
Comment 3 Miroslav Lachman 2017-07-20 14:12:53 UTC
Kibana5 works with node version 8.2.0 (released yesterday).

The problem with change of dependency to www/node6 is that we cannot install multiple versions of node on FreeBSD. When Kibana had www/node4 and NPM has www/node then we cannot use Kibana and NPM on one machine.

That's why Kibana was changed to depends on www/node in PR 218250
Comment 4 Mark 2017-09-12 19:58:58 UTC
I am not sure from this report how to fix this problem. The answer appears to be not to run kibana5? I have tried to look at building node from ports but there is node and node010. Trying to build node010 results in a different error. 

"make: "/usr/ports/www/node010/Makefile" line 33: Malformed conditional (${COMPILER_VERSION} >= 33)"

I am not sure if I should open a bug for this or if I am just doing something wrong. Fairly new to freebsd,
Comment 5 Miroslav Lachman 2017-09-13 09:21:40 UTC
(In reply to Mark from comment #4)
Are you installing Kibana package or you built it from the ports tree?

What version of Kibana and Node do you have installed?

I am running kibana5-5.3.0_1 with node-8.3.0.  If you have more questions you can discuss it in mailing list ports@freebsd.org
Comment 6 Oleksii Samorukov freebsd_committer 2017-09-29 19:00:42 UTC
I can confirm this - after latest "pkg upgrade" kibana stop working and my node version is node-8.1.4 from pkg. 

After installing node-8.6.0 from ports app works fine, so i think that problem is related to this specific version and issue can be closed.